Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.tasks.scala
[Groovy] Class ScalaCompileOptions

    java.lang.Object
      org.gradle.api.tasks.compile.AbstractOptions
          org.gradle.api.tasks.scala.ScalaCompileOptions

    class ScalaCompileOptions
    extends AbstractOptions

Property Summary
`java.util.List` | `additionalParameters` Additional parameters passed to the compiler.
`java.lang.String` | `daemonServer` Server (host:port) on which the compile daemon is running.
`java.lang.String` | `debugLevel` Generate debugging information.
`boolean` | `deprecation` Generate deprecation information.
`java.lang.String` | `encoding` Encoding of source files.
`boolean` | `failOnError` Fail the build on compilation errors.
`java.lang.String` | `force` Whether to force the compilation of all files.
`boolean` | `listFiles` List files to be compiled.
`java.lang.String` | `loggingLevel` Specifies the amount of logging.
`java.util.List` | `loggingPhases` Phases of the compiler to log.
`boolean` | `optimize` Run optimisations.
`java.lang.String` | `targetCompatibility` Specifies which backend to use.
`boolean` | `unchecked` Generate unchecked information.
`boolean` | `useCompileDaemon` Whether to use the fsc compile daemon.

Method Summary
`java.util.List` | `excludedFieldsFromOptionMap()`
`java.util.Map` | `fieldName2AntMap()`
`java.util.Map` | `fieldValue2AntMap()`

Methods inherited from class AbstractOptions
addValueToMapIfNotNull, define, excludedFieldsFromOptionMap, fieldName2AntMap, fieldValue2AntMap, isOptionField, optionMap

Methods inherited from class java.lang.Object
java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#notify(), java.lang.Object#notifyAll(), java.lang.Object#toString()

Property Detail

### additionalParameters

    java.util.List additionalParameters

  Additional parameters passed to the compiler. Each parameter must start with '-'.

### daemonServer

    java.lang.String daemonServer

  Server (host:port) on which the compile daemon is running. The host must share disk access with the client process. If not specified, launches the daemon on the localhost. This parameter can only be specified if useCompileDaemon is true.

### debugLevel

    @Input
    @Optional
    java.lang.String debugLevel

  Generate debugging information. Legal values: none, source, line, vars, notailcalls

### deprecation

    boolean deprecation

  Generate deprecation information.

### encoding

    @Input
    @Optional
    java.lang.String encoding

  Encoding of source files.

### failOnError

    boolean failOnError

  Fail the build on compilation errors.

### force

    java.lang.String force

  Whether to force the compilation of all files. Legal values: - never (only compile modified files) - changed (compile all files when at least one file is modified) - always (always recompile all files)

### listFiles

    boolean listFiles

  List files to be compiled.

### loggingLevel

    java.lang.String loggingLevel

  Specifies the amount of logging. Legal values: none, verbose, debug

### loggingPhases

    java.util.List loggingPhases

  Phases of the compiler to log. Legal values: namer, typer, pickler, uncurry, tailcalls, transmatch, explicitouter, erasure, lambdalift, flatten, constructors, mixin, icode, jvm, terminal.

### optimize

    @Input
    boolean optimize

  Run optimisations.

### targetCompatibility

    @Input
    java.lang.String targetCompatibility

  Specifies which backend to use. Legal values: 1.4, 1.5

### unchecked

    boolean unchecked

  Generate unchecked information.

### useCompileDaemon

    boolean useCompileDaemon

  Whether to use the fsc compile daemon.

Method Detail

### excludedFieldsFromOptionMap

    java.util.List excludedFieldsFromOptionMap()

### fieldName2AntMap

    java.util.Map fieldName2AntMap()

### fieldValue2AntMap

    java.util.Map fieldValue2AntMap()

Groovy Documentation